commit:     af7314b16854cc667cfa7b0c652a13681309c291
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  6 23:21:01 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Jul  6 23:22:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af7314b1

app-text/vgrep: bump to v2.3.3

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-text/vgrep/Manifest           |  1 +
 app-text/vgrep/vgrep-2.3.3.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/app-text/vgrep/Manifest b/app-text/vgrep/Manifest
index 6de74d93406..d0943fee57b 100644
--- a/app-text/vgrep/Manifest
+++ b/app-text/vgrep/Manifest
@@ -1 +1,2 @@
 DIST vgrep-2.3.1.tar.gz 1149421 BLAKE2B 
c4c9a414bba5e509d57faa9ca6f6ce5cae1dbb001ff8b410ad54691ec6bf39f41c535fd25bdd5d93fdf89b4e4b49acf4dfa9a8956653e5c5e2ce39bd7da8d484
 SHA512 
0fa65151ae40f7fefc4e5b1af8e6ea332b50b1136849ec0902dd110786ca14204441e27c65a036b08fa56bf04a6325d8aa8ef2d4d02cdb0e0fe219896e24d694
+DIST vgrep-2.3.3.tar.gz 1149769 BLAKE2B 
59f15e0f2d9fd069b4926cb26a0517cb1d201dccce53d7c6b3ec1954693a3286396e8d4d72e2c3bcc4bb8e70083ba1ea349dfc4bec244caa112fcc2289063c25
 SHA512 
b745ec24bb5c329a3d0e4e756e54432f3acf9c24f9492339b69850d5a8e688074323d7e56c584e59f3aedf3a41b84997497791512dae2950424eaed56d6b7329

diff --git a/app-text/vgrep/vgrep-2.3.3.ebuild 
b/app-text/vgrep/vgrep-2.3.3.ebuild
new file mode 100644
index 00000000000..f50049ccd32
--- /dev/null
+++ b/app-text/vgrep/vgrep-2.3.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit go-module
+
+DESCRIPTION="A pager for grep, git-grep and similar grep implementations"
+HOMEPAGE="https://github.com/vrothberg/vgrep";
+SRC_URI="https://github.com/vrothberg/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD GPL-3+ MIT MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# Uses golangci-lint
+RESTRICT="test"
+
+DOCS=( README.md )
+
+# go binary
+QA_PRESTRIPPED="usr/bin/vgrep"
+
+src_compile() {
+       emake build
+}
+
+src_install() {
+       local prefix="${D}/usr"
+       mkdir -p "${prefix}"/bin || die
+
+       emake PREFIX="${prefix}" install
+}

Reply via email to